package com.bpcl.lpg.core.utill;

import java.util.Arrays;
import com.bpcl.core.custom.exception.BpclInvalidPaymentResponseException;
import java.util.List;

public class BillDeskMsgUtils
{
    public static List<String> convertMsgToAttributes(final String msg, final int validSize) throws BpclInvalidPaymentResponseException {
        final String[] split = msg.split("\\|");
        if (split.length != validSize) {
            throw new BpclInvalidPaymentResponseException("Expecting " + validSize + "param from Billdesk. Invalid payment response");
        }
        return Arrays.asList(split);
    }
}
